Bug 1421331 - When updating from RHOSP 9 to RHOSP 10, most of the services are removed from pacemaker
Summary: When updating from RHOSP 9 to RHOSP 10, most of the services are removed from...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 03:49 UTC by David Hill
Modified: 2020-03-11 15:47 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-29 14:31:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Hill 2017-02-11 03:49:00 UTC
Description of problem:

After upgrading the controller nodes (step 3.4.6) the output of pcs status is drastically different as most of the services are removed from pacemaker and are only managed via systemd.  We didn't find that documented anywhere and for a customer updating from RHOSP 9 to RHOSP 10, that might be puzzling at first.  Perhaps this change should be documented in an info box or something. 

[root@overcloud-controller-2 ~]# pcs status
Cluster name: tripleo_cluster
Stack: corosync
Current DC: overcloud-controller-1 (version 1.1.15-11.el7_3.2-e174ec8) - partition with quorum
Last updated: Sat Feb 11 01:47:35 2017		Last change: Sat Feb 11 01:25:13 2017 by root via crm_resource on overcloud-controller-0

3 nodes and 25 resources configured

Online: [ overcloud-controller-0 overcloud-controller-1 overcloud-controller-2 ]

Full list of resources:

 ip-10.10.10.10	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-0
 ip-192.168.0.57	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-1
 Clone Set: haproxy-clone [haproxy]
     Started: [ overcloud-controller-0 overcloud-controller-1 overcloud-controller-2 ]
 ip-192.168.2.10	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-2
 ip-192.168.1.10	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-0
 ip-192.168.1.11	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-1
 Master/Slave Set: redis-master [redis]
     Masters: [ overcloud-controller-0 ]
     Slaves: [ overcloud-controller-1 overcloud-controller-2 ]
 Master/Slave Set: galera-master [galera]
     Masters: [ overcloud-controller-0 overcloud-controller-1 overcloud-controller-2 ]
 Clone Set: rabbitmq-clone [rabbitmq]
     Started: [ overcloud-controller-0 overcloud-controller-1 overcloud-controller-2 ]
 ip-10.127.229.50	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-2
 Clone Set: fs-varlibglanceimages-clone [fs-varlibglanceimages]
     Started: [ overcloud-controller-0 overcloud-controller-1 overcloud-controller-2 ]
 openstack-cinder-volume	(systemd:openstack-cinder-volume):	Started overcloud-controller-0
 my-ipmilan-for-controller-0	(stonith:fence_ipmilan):	Stopped
 my-ipmilan-for-controller-1	(stonith:fence_ipmilan):	Stopped
 my-ipmilan-for-controller-2	(stonith:fence_ipmilan):	Stopped

Failed Actions:
* my-ipmilan-for-controller-0_start_0 on overcloud-controller-1 'unknown error' (1): call=67, status=Timed Out, exitreason='none',
    last-rc-change='Sat Feb 11 01:02:33 2017', queued=0ms, exec=20106ms
* my-ipmilan-for-controller-2_start_0 on overcloud-controller-1 'unknown error' (1): call=73, status=Timed Out, exitreason='none',
    last-rc-change='Sat Feb 11 01:02:55 2017', queued=0ms, exec=20098ms
* my-ipmilan-for-controller-1_start_0 on overcloud-controller-0 'unknown error' (1): call=67, status=Timed Out, exitreason='none',
    last-rc-change='Sat Feb 11 01:02:33 2017', queued=0ms, exec=20148ms
* my-ipmilan-for-controller-2_start_0 on overcloud-controller-0 'unknown error' (1): call=70, status=Timed Out, exitreason='none',
    last-rc-change='Sat Feb 11 01:02:33 2017', queued=1ms, exec=20102ms
* my-ipmilan-for-controller-0_start_0 on overcloud-controller-2 'unknown error' (1): call=71, status=Timed Out, exitreason='none',
    last-rc-change='Sat Feb 11 01:02:55 2017', queued=0ms, exec=20101ms
* my-ipmilan-for-controller-1_start_0 on overcloud-controller-2 'unknown error' (1): call=72, status=Timed Out, exitreason='none',
    last-rc-change='Sat Feb 11 01:02:55 2017', queued=0ms, exec=20147ms


Daemon Status:
  corosync: active/enabled
  pacemaker: active/enabled
  pcsd: active/enabled



[root@overcloud-controller-2 ~]# systemctl list-units
  UNIT                                                                         LOAD      ACTIVE SUB       DESCRIPTION
  proc-sys-fs-binfmt_misc.automount                                            loaded    active running   Arbitrary Executable File Formats File System Automount Point
  sys-devices-pci0000:00-0000:00:01.0-0000:03:00.0-host0-target0:1:0-0:1:0:0-block-sda-sda1.device loaded    active plugged   LOGICAL_VOLUME config-2
  sys-devices-pci0000:00-0000:00:01.0-0000:03:00.0-host0-target0:1:0-0:1:0:0-block-sda-sda2.device loaded    active plugged   LOGICAL_VOLUME img-rootfs
  sys-devices-pci0000:00-0000:00:01.0-0000:03:00.0-host0-target0:1:0-0:1:0:0-block-sda.device loaded    active plugged   LOGICAL_VOLUME
  sys-devices-pci0000:00-0000:00:02.0-0000:05:00.0-net-ens2f0.device           loaded    active plugged   82599ES 10-Gigabit SFI/SFP+ Network Connection (Ethernet 10Gb 2-port 560SF
  sys-devices-pci0000:00-0000:00:02.0-0000:05:00.1-net-ens2f1.device           loaded    active plugged   82599ES 10-Gigabit SFI/SFP+ Network Connection (Ethernet 10Gb 2-port 560SF
  sys-devices-pci0000:00-0000:00:02.2-0000:04:00.0-net-eno49.device            loaded    active plugged   I350 Gigabit Network Connection (Ethernet 1Gb 4-port 366FLR Adapter)
  sys-devices-pci0000:00-0000:00:02.2-0000:04:00.1-net-eno50.device            loaded    active plugged   I350 Gigabit Network Connection (Ethernet 1Gb 4-port 366FLR Adapter)
  sys-devices-pci0000:00-0000:00:02.2-0000:04:00.2-net-eno51.device            loaded    active plugged   I350 Gigabit Network Connection (Ethernet 1Gb 4-port 366FLR Adapter)
  sys-devices-pci0000:00-0000:00:02.2-0000:04:00.3-net-eno52.device            loaded    active plugged   I350 Gigabit Network Connection (Ethernet 1Gb 4-port 366FLR Adapter)
  sys-devices-pci0000:00-0000:00:03.0-0000:08:00.0-net-ens1f0.device           loaded    active plugged   82599ES 10-Gigabit SFI/SFP+ Network Connection (Ethernet 10Gb 2-port 560SF
  sys-devices-pci0000:00-0000:00:03.0-0000:08:00.1-net-ens1f1.device           loaded    active plugged   82599ES 10-Gigabit SFI/SFP+ Network Connection (Ethernet 10Gb 2-port 560SF
  sys-devices-pci0000:00-0000:00:1c.4-0000:02:00.0-net-eno1.device             loaded    active plugged   NetXtreme BCM5719 Gigabit Ethernet PCIe (Ethernet 1Gb 4-port 331i Adapter)
  sys-devices-pci0000:00-0000:00:1c.4-0000:02:00.1-net-eno2.device             loaded    active plugged   NetXtreme BCM5719 Gigabit Ethernet PCIe (Ethernet 1Gb 4-port 331i Adapter)
  sys-devices-pci0000:00-0000:00:1c.4-0000:02:00.2-net-eno3.device             loaded    active plugged   NetXtreme BCM5719 Gigabit Ethernet PCIe (Ethernet 1Gb 4-port 331i Adapter)
  sys-devices-pci0000:00-0000:00:1c.4-0000:02:00.3-net-eno4.device             loaded    active plugged   NetXtreme BCM5719 Gigabit Ethernet PCIe (Ethernet 1Gb 4-port 331i Adapter)
  sys-devices-platform-serial8250-tty-ttyS2.device                             loaded    active plugged   /sys/devices/platform/serial8250/tty/ttyS2
  sys-devices-platform-serial8250-tty-ttyS3.device                             loaded    active plugged   /sys/devices/platform/serial8250/tty/ttyS3
  sys-devices-pnp0-00:03-tty-ttyS0.device                                      loaded    active plugged   /sys/devices/pnp0/00:03/tty/ttyS0
  sys-devices-pnp0-00:04-tty-ttyS1.device                                      loaded    active plugged   /sys/devices/pnp0/00:04/tty/ttyS1
  sys-devices-virtual-block-loop2.device                                       loaded    active plugged   LVM PV v5OBbP-WlYE-rC7c-9j29-y2cZ-lEMA-7TNzFY on /dev/loop2
  sys-devices-virtual-net-br\x2dex.device                                      loaded    active plugged   /sys/devices/virtual/net/br-ex
  sys-devices-virtual-net-br\x2dint.device                                     loaded    active plugged   /sys/devices/virtual/net/br-int
  sys-devices-virtual-net-br\x2dstorage.device                                 loaded    active plugged   /sys/devices/virtual/net/br-storage
  sys-devices-virtual-net-br\x2dtun.device                                     loaded    active plugged   /sys/devices/virtual/net/br-tun
  sys-devices-virtual-net-ovs\x2dsystem.device                                 loaded    active plugged   /sys/devices/virtual/net/ovs-system
  sys-devices-virtual-net-vlan3000.device                                      loaded    active plugged   /sys/devices/virtual/net/vlan3000
  sys-devices-virtual-net-vlan3280.device                                      loaded    active plugged   /sys/devices/virtual/net/vlan3280
  sys-devices-virtual-net-vlan3282.device                                      loaded    active plugged   /sys/devices/virtual/net/vlan3282
  sys-devices-virtual-net-vlan3283.device                                      loaded    active plugged   /sys/devices/virtual/net/vlan3283
  sys-devices-virtual-net-vlan3286.device                                      loaded    active plugged   /sys/devices/virtual/net/vlan3286
  sys-devices-virtual-net-vxlan_sys_4789.device                                loaded    active plugged   /sys/devices/virtual/net/vxlan_sys_4789
  sys-module-configfs.device                                                   loaded    active plugged   /sys/module/configfs
  sys-module-vport_vxlan.device                                                loaded    active plugged   /sys/module/vport_vxlan
  sys-subsystem-net-devices-br\x2dex.device                                    loaded    active plugged   /sys/subsystem/net/devices/br-ex
  sys-subsystem-net-devices-br\x2dint.device                                   loaded    active plugged   /sys/subsystem/net/devices/br-int
  sys-subsystem-net-devices-br\x2dstorage.device                               loaded    active plugged   /sys/subsystem/net/devices/br-storage
  sys-subsystem-net-devices-br\x2dtun.device                                   loaded    active plugged   /sys/subsystem/net/devices/br-tun
  sys-subsystem-net-devices-eno1.device                                        loaded    active plugged   NetXtreme BCM5719 Gigabit Ethernet PCIe (Ethernet 1Gb 4-port 331i Adapter)
  sys-subsystem-net-devices-eno2.device                                        loaded    active plugged   NetXtreme BCM5719 Gigabit Ethernet PCIe (Ethernet 1Gb 4-port 331i Adapter)
  sys-subsystem-net-devices-eno3.device                                        loaded    active plugged   NetXtreme BCM5719 Gigabit Ethernet PCIe (Ethernet 1Gb 4-port 331i Adapter)
  sys-subsystem-net-devices-eno4.device                                        loaded    active plugged   NetXtreme BCM5719 Gigabit Ethernet PCIe (Ethernet 1Gb 4-port 331i Adapter)
  sys-subsystem-net-devices-eno49.device                                       loaded    active plugged   I350 Gigabit Network Connection (Ethernet 1Gb 4-port 366FLR Adapter)
  sys-subsystem-net-devices-eno50.device                                       loaded    active plugged   I350 Gigabit Network Connection (Ethernet 1Gb 4-port 366FLR Adapter)
  sys-subsystem-net-devices-eno51.device                                       loaded    active plugged   I350 Gigabit Network Connection (Ethernet 1Gb 4-port 366FLR Adapter)
  sys-subsystem-net-devices-eno52.device                                       loaded    active plugged   I350 Gigabit Network Connection (Ethernet 1Gb 4-port 366FLR Adapter)
  sys-subsystem-net-devices-ens1f0.device                                      loaded    active plugged   82599ES 10-Gigabit SFI/SFP+ Network Connection (Ethernet 10Gb 2-port 560SF
  sys-subsystem-net-devices-ens1f1.device                                      loaded    active plugged   82599ES 10-Gigabit SFI/SFP+ Network Connection (Ethernet 10Gb 2-port 560SF
  sys-subsystem-net-devices-ens2f0.device                                      loaded    active plugged   82599ES 10-Gigabit SFI/SFP+ Network Connection (Ethernet 10Gb 2-port 560SF
  sys-subsystem-net-devices-ens2f1.device                                      loaded    active plugged   82599ES 10-Gigabit SFI/SFP+ Network Connection (Ethernet 10Gb 2-port 560SF
  sys-subsystem-net-devices-ovs\x2dsystem.device                               loaded    active plugged   /sys/subsystem/net/devices/ovs-system
  sys-subsystem-net-devices-vlan3000.device                                    loaded    active plugged   /sys/subsystem/net/devices/vlan3000
  sys-subsystem-net-devices-vlan3280.device                                    loaded    active plugged   /sys/subsystem/net/devices/vlan3280
  sys-subsystem-net-devices-vlan3282.device                                    loaded    active plugged   /sys/subsystem/net/devices/vlan3282
  sys-subsystem-net-devices-vlan3283.device                                    loaded    active plugged   /sys/subsystem/net/devices/vlan3283
  sys-subsystem-net-devices-vlan3286.device                                    loaded    active plugged   /sys/subsystem/net/devices/vlan3286
  sys-subsystem-net-devices-vxlan_sys_4789.device                              loaded    active plugged   /sys/subsystem/net/devices/vxlan_sys_4789
  -.mount                                                                      loaded    active mounted   /
  dev-hugepages.mount                                                          loaded    active mounted   Huge Pages File System
  dev-mqueue.mount                                                             loaded    active mounted   POSIX Message Queue File System
  proc-fs-nfsd.mount                                                           loaded    active mounted   NFSD configuration filesystem
  proc-sys-fs-binfmt_misc.mount                                                loaded    active mounted   Arbitrary Executable File Formats File System
  run-netns.mount                                                              loaded    active mounted   /run/netns
  run-user-1000.mount                                                          loaded    active mounted   /run/user/1000
  run-user-990.mount                                                           loaded    active mounted   /run/user/990
  run-user-991.mount                                                           loaded    active mounted   /run/user/991
  sys-kernel-config.mount                                                      loaded    active mounted   Configuration File System
  sys-kernel-debug.mount                                                       loaded    active mounted   Debug File System
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-daily.2017\x2d02\x2d09_0010.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.s
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-daily.2017\x2d02\x2d10_0010.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.s
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-hourly.2017\x2d02\x2d10_1105.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-hourly.2017\x2d02\x2d10_1205.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-hourly.2017\x2d02\x2d10_1305.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-hourly.2017\x2d02\x2d10_1405.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-hourly.2017\x2d02\x2d10_1505.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-hourly.2017\x2d02\x2d10_1605.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-hourly.2017\x2d02\x2d10_1705.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-hourly.2017\x2d02\x2d10_1805.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-weekly.2017\x2d01\x2d29_0015.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698-.snapshot-weekly.2017\x2d02\x2d05_0015.mount loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698/.
  var-lib-cinder-mnt-50d5f6491e36dfea6255374b6859b698.mount                    loaded    active mounted   /var/lib/cinder/mnt/50d5f6491e36dfea6255374b6859b698
  var-lib-glance-images.mount                                                  loaded    active mounted   /var/lib/glance/images
  var-lib-nfs-rpc_pipefs.mount                                                 loaded    active mounted   RPC Pipe File System
  brandbot.path                                                                loaded    active waiting   Flexible branding
  systemd-ask-password-plymouth.path                                           loaded    active waiting   Forward Password Requests to Plymouth Directory Watch
  systemd-ask-password-wall.path                                               loaded    active waiting   Forward Password Requests to Wall Directory Watch
  session-363.scope                                                            loaded    active running   Session 363 of user heat-admin
  session-373.scope                                                            loaded    active running   Session 373 of user heat-admin
  session-375.scope                                                            loaded    active running   Session 375 of user heat-admin
  session-c1.scope                                                             loaded    active abandoned Session c1 of user rabbitmq
  session-c126005.scope                                                        loaded    active abandoned Session c126005 of user redis
  session-c126007.scope                                                        loaded    active running   Session c126007 of user rabbitmq
  atd.service                                                                  loaded    active running   Job spooling tools
  auditd.service                                                               loaded    active running   Security Auditing Service
  blk-availability.service                                                     loaded    active exited    Availability of block devices
● ceph.service                                                                 not-found active exited    ceph.service
  cloud-config.service                                                         loaded    active exited    Apply the settings specified in cloud-config
  cloud-final.service                                                          loaded    active exited    Execute cloud user/final scripts
  cloud-init-local.service                                                     loaded    active exited    Initial cloud-init job (pre-networking)
  cloud-init.service                                                           loaded    active exited    Initial cloud-init job (metadata service crawler)
  corosync.service                                                             loaded    active running   Corosync Cluster Engine
  crond.service                                                                loaded    active running   Command Scheduler
  dbus.service                                                                 loaded    active running   D-Bus System Message Bus
  getty@tty1.service                                                           loaded    active running   Getty on tty1
  gssproxy.service                                                             loaded    active running   GSSAPI Proxy Daemon
  haproxy.service                                                              loaded    active running   Cluster Controlled haproxy
  httpd.service                                                                loaded    active running   The Apache HTTP Server
  irqbalance.service                                                           loaded    active running   irqbalance daemon
  iscsi-shutdown.service                                                       loaded    active exited    Logout off all iSCSI sessions on shutdown
  kdump.service                                                                loaded    active exited    Crash recovery kernel arming
  kmod-static-nodes.service                                                    loaded    active exited    Create list of required static device nodes for the current kernel
  ksm.service                                                                  loaded    active exited    Kernel Samepage Merging
  ksmtuned.service                                                             loaded    active running   Kernel Samepage Merging (KSM) Tuning Daemon
  libvirtd.service                                                             loaded    active running   Virtualization daemon
  lvm2-lvmetad.service                                                         loaded    active running   LVM2 metadata daemon
  lvm2-monitor.service                                                         loaded    active exited    Monitoring of LVM2 mirrors, snapshots etc. using dmeventd or progress poll
  lvm2-pvscan@7:2.service                                                      loaded    active exited    LVM2 PV scan on device 7:2
  memcached.service                                                            loaded    active running   memcached daemon
  mongod.service                                                               loaded    active running   High-performance, schema-free document-oriented database
  netcf-transaction.service                                                    loaded    active exited    Rollback uncommitted netcf network config change transactions
  network.service                                                              loaded    active exited    LSB: Bring up/down networking
  NetworkManager-wait-online.service                                           loaded    active exited    Network Manager Wait Online
  NetworkManager.service                                                       loaded    active running   Network Manager
  neutron-dhcp-agent.service                                                   loaded    active running   OpenStack Neutron DHCP Agent
  neutron-l3-agent.service                                                     loaded    active running   OpenStack Neutron Layer 3 Agent
  neutron-metadata-agent.service                                               loaded    active running   OpenStack Neutron Metadata Agent
  neutron-netns-cleanup.service                                                loaded    active exited    OpenStack Neutron Netns Cleanup Utility
  neutron-ovs-cleanup.service                                                  loaded    active exited    OpenStack Neutron Open vSwitch Cleanup Utility
  neutron-server.service                                                       loaded    active running   OpenStack Neutron Server
  ntpd.service                                                                 loaded    active running   Network Time Service
  openstack-aodh-evaluator.service                                             loaded    active running   OpenStack Alarm evaluator service
  openstack-aodh-listener.service                                              loaded    active running   OpenStack Alarm listener service
  openstack-aodh-notifier.service                                              loaded    active running   OpenStack Alarm notifier service
  openstack-ceilometer-central.service                                         loaded    active running   OpenStack ceilometer central agent
  openstack-ceilometer-collector.service                                       loaded    active running   OpenStack ceilometer collection service
  openstack-ceilometer-notification.service                                    loaded    active running   OpenStack ceilometer notification agent
  openstack-cinder-api.service                                                 loaded    active running   OpenStack Cinder API Server
  openstack-cinder-scheduler.service                                           loaded    active running   OpenStack Cinder Scheduler Server
  openstack-glance-api.service                                                 loaded    active running   OpenStack Image Service (code-named Glance) API server
  openstack-glance-registry.service                                            loaded    active running   OpenStack Image Service (code-named Glance) Registry server
  openstack-gnocchi-metricd.service                                            loaded    active running   OpenStack gnocchi metricd service
  openstack-gnocchi-statsd.service                                             loaded    active running   OpenStack gnocchi statsd service
  openstack-heat-api-cfn.service                                               loaded    active running   Openstack Heat CFN-compatible API Service
  openstack-heat-api-cloudwatch.service                                        loaded    active running   OpenStack Heat CloudWatch API Service
  openstack-heat-api.service                                                   loaded    active running   OpenStack Heat API Service
  openstack-heat-engine.service                                                loaded    active running   Openstack Heat Engine Service
  openstack-nova-api.service                                                   loaded    active running   OpenStack Nova API Server
  openstack-nova-conductor.service                                             loaded    active running   OpenStack Nova Conductor Server
  openstack-nova-consoleauth.service                                           loaded    active running   OpenStack Nova VNC console auth Server
  openstack-nova-novncproxy.service                                            loaded    active running   OpenStack Nova NoVNC Proxy Server
  openstack-nova-scheduler.service                                             loaded    active running   OpenStack Nova Scheduler Server
  openstack-sahara-api.service                                                 loaded    active running   Sahara API Server
  openstack-sahara-engine.service                                              loaded    active running   Sahara Engine Server
  openstack-swift-account-auditor.service                                      loaded    active running   OpenStack Object Storage (swift) - Account Auditor
  openstack-swift-account-reaper.service                                       loaded    active running   OpenStack Object Storage (swift) - Account Reaper
  openstack-swift-account-replicator.service                                   loaded    active running   OpenStack Object Storage (swift) - Account Replicator
  openstack-swift-account.service                                              loaded    active running   OpenStack Object Storage (swift) - Account Server
  openstack-swift-container-auditor.service                                    loaded    active running   OpenStack Object Storage (swift) - Container Auditor
  openstack-swift-container-replicator.service                                 loaded    active running   OpenStack Object Storage (swift) - Container Replicator
  openstack-swift-container-updater.service                                    loaded    active running   OpenStack Object Storage (swift) - Container Updater
  openstack-swift-container.service                                            loaded    active running   OpenStack Object Storage (swift) - Container Server
  openstack-swift-object-auditor.service                                       loaded    active running   OpenStack Object Storage (swift) - Object Auditor
  openstack-swift-object-replicator.service                                    loaded    active running   OpenStack Object Storage (swift) - Object Replicator
  openstack-swift-object-updater.service                                       loaded    active running   OpenStack Object Storage (swift) - Object Updater
  openstack-swift-object.service                                               loaded    active running   OpenStack Object Storage (swift) - Object Server
  openstack-swift-proxy.service                                                loaded    active running   OpenStack Object Storage (swift) - Proxy Server
  openvswitch-nonetwork.service                                                loaded    active exited    Open vSwitch Internal Unit
  openvswitch.service                                                          loaded    active exited    Open vSwitch
  os-collect-config.service                                                    loaded    active running   Collect metadata and run hook commands.
  pacemaker.service                                                            loaded    active running   Pacemaker High Availability Cluster Manager
  pcsd.service                                                                 loaded    active running   PCS GUI and remote configuration interface
  polkit.service                                                               loaded    active running   Authorization Manager
  postfix.service                                                              loaded    active running   Postfix Mail Transport Agent
  rhel-dmesg.service                                                           loaded    active exited    Dump dmesg to /var/log/dmesg
  rhel-import-state.service                                                    loaded    active exited    Import network configuration from initramfs
  rhel-loadmodules.service                                                     loaded    active exited    Load legacy module configuration
  rhel-readonly.service                                                        loaded    active exited    Configure read-only root support
  rhnsd.service                                                                loaded    active running   LSB: Starts the Spacewalk Daemon
  rhsmcertd.service                                                            loaded    active running   Enable periodic update of entitlement certificates.
  rpc-statd.service                                                            loaded    active running   NFS status monitor for NFSv2/3 locking.
  rpcbind.service                                                              loaded    active running   RPC bind service
  rsyslog.service                                                              loaded    active running   System Logging Service
  serial-getty@ttyS0.service                                                   loaded    active running   Serial Getty on ttyS0
  snmpd.service                                                                loaded    active running   Simple Network Management Protocol (SNMP) Daemon.
  sshd.service                                                                 loaded    active running   OpenSSH server daemon
  systemd-journal-flush.service                                                loaded    active exited    Flush Journal to Persistent Storage
  systemd-journald.service                                                     loaded    active running   Journal Service
  systemd-logind.service                                                       loaded    active running   Login Service
  systemd-random-seed.service                                                  loaded    active exited    Load/Save Random Seed
  systemd-readahead-collect.service                                            loaded    active exited    Collect Read-Ahead Data
  systemd-readahead-replay.service                                             loaded    active exited    Replay Read-Ahead Data
  systemd-remount-fs.service                                                   loaded    active exited    Remount Root and Kernel File Systems
  systemd-sysctl.service                                                       loaded    active exited    Apply Kernel Variables
  systemd-tmpfiles-setup-dev.service

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Update from RHOSP 9 to RHOSP 10
2.
3.

Actual results:
As expected

Expected results:
As expected but not documented properly

Additional info:

Comment 1 Sofer Athlan-Guyot 2017-03-08 10:46:20 UTC
Hi,

passing to documentation.  The relevant information can be found there https://specs.openstack.org/openstack/tripleo-specs/specs/newton/pacemaker-next-generation-architecture.html

Thanks,

Comment 2 Marius Cornea 2017-05-22 13:29:36 UTC
Hi Dan!

Could we please add to the docs that after OSP9 to OSP10 upgrade the user should expect to see a lower set of services managed by Pacemaker, most of the Openstack services being now managed by systemd?

Thank you!

Comment 3 Dan Macpherson 2017-05-22 17:21:50 UTC
Sure thing.

Comment 5 Dan Macpherson 2017-05-29 05:27:47 UTC
Marius and Sofer,

Added the note in two sections:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html-single/upgrading_red_hat_openstack_platform/#sect-Important_Pre-Upgrade_Notes

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html-single/upgrading_red_hat_openstack_platform/#sect-Major-Upgrading_the_Overcloud-Controller

The note reads: "The OpenStack Platform 10 upgrade procedure migrates to a new composable architecture. This means many services that Pacemaker managed in previous versions now use systemd management. This results in a reduced number of Pacemaker managed resources."

Any feedback require on this note? Does it accurately capture what we want to say?

Comment 6 Marius Cornea 2017-05-29 10:23:49 UTC
(In reply to Dan Macpherson from comment #5)
> Marius and Sofer,
> 
> Added the note in two sections:
> 
> https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/
> html-single/upgrading_red_hat_openstack_platform/#sect-Important_Pre-
> Upgrade_Notes
> 
> https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/
> html-single/upgrading_red_hat_openstack_platform/#sect-Major-
> Upgrading_the_Overcloud-Controller
> 
> The note reads: "The OpenStack Platform 10 upgrade procedure migrates to a
> new composable architecture. This means many services that Pacemaker managed
> in previous versions now use systemd management. This results in a reduced
> number of Pacemaker managed resources."
> 
> Any feedback require on this note? Does it accurately capture what we want
> to say?

It looks good to me. Thanks, Dan!

Comment 7 Sofer Athlan-Guyot 2017-05-29 10:46:46 UTC
LGTM too.  Thanks.

Comment 8 Dan Macpherson 2017-05-29 14:31:56 UTC
Thanks, guys!


Note You need to log in before you can comment on or make changes to this bug.